/v1/webhooks (POST)
POST
/v1/webhooks
const url = 'https://example.com/v1/webhooks';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","url":"example","active":true,"events":["example"],"secret":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/webhooks \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "url": "example", "active": true, "events": [ "example" ], "secret": "example" }'Authorizations
Section titled “Authorizations ”Request Body
Section titled “Request Body ”object
name
required
string
url
required
string
active
boolean
events
required
Array<string>
secret
string
Example generated
{ "name": "example", "url": "example", "active": true, "events": [ "example" ], "secret": "example"}object
name
required
string
url
required
string
active
boolean
events
required
Array<string>
secret
string
Example generated
{ "name": "example", "url": "example", "active": true, "events": [ "example" ], "secret": "example"}object
name
required
string
url
required
string
active
boolean
events
required
Array<string>
secret
string
Example generated
{ "name": "example", "url": "example", "active": true, "events": [ "example" ], "secret": "example"}Responses
Section titled “ Responses ”OK